/*
 * $Id: SearchException.java,v 1.3 2005/05/31 14:38:19 rampil Exp $
 * Copyright (c) 2004 LOGICAL-PARADOX.ORG
 */
package org.logical_paradox.koike.core.search;

/**
 * 検索処理中に発生した例外
 * @author satoshi akabane@logical-paradox.org
 * @version $Revision: 1.3 $
 */
public class SearchException extends Exception {
	/**
	 * コンストラクタ
	 */
	public SearchException() {
	}
	/**
	 * コンストラクタ
	 * @param msg エラーメッセージ
	 */
	public SearchException(String msg) {
		super(msg);
	}
	/**
	 * コンストラクタ
	 * @param e 元になった例外
	 */
	public SearchException(Exception e) {
		super(e);
	}
}
